[Overview][Constants][Classes][Index] | Reference for unit 'streamex' (#fcl)

# TStreamHelper.ReadDouble

Read a double-precision floating point value from the stream

## Declaration

Source position: streamex.pp line 197

`function TStreamHelper.ReadDouble: Double;`

## Function result

The double-precision floating point type.

## Description

ReadDouble reads a double-precision floating point value from the stream and returns the value. No endianness corrections are performed.

## Errors

If the end of stream is reached before all necessary bytes can be read, an EReadError exception is raised.

## See also

TStreamHelper.ReadSingle |  | Read a single-precision floating point value from the stream
TStreamHelper.WriteDouble |  | Write a double-precision floating point value to the stream